> For the complete documentation index, see [llms.txt](https://megaphone.ortusbooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://megaphone.ortusbooks.com/reference/baseprovider/databaseprovider.md).

# DatabaseProvider

See the `BaseProvider` for inherited methods.

{% content-ref url="/pages/6x7oBEQ8jyfTIxZgj3j2" %}
[BaseProvider](/reference/baseprovider.md)
{% endcontent-ref %}

### getTableName

Returns the configured table name for this Channel.

The default is `megaphone_notifications`. It can be overridden by setting the `tableName` property.

<table><thead><tr><th width="140">Name</th><th width="229">Type</th><th>Required</th><th>Default</th><th>Description</th></tr></thead><tbody><tr><td>No arguments</td><td></td><td></td><td></td><td></td></tr></tbody></table>

**Return**: (string) The name of the table to use for storing and retrieving notifications.

### getQueryOptions

Returns the configured query options for this Provider.  This is eventually passed to `queryExecute`.

The default is an empty struct (`{}`). It can be overridden by setting the `queryOptions` property.

If the `datasource` property is set, it will be set on the `queryOptions` returned from this method.

<table><thead><tr><th width="140">Name</th><th width="229">Type</th><th>Required</th><th>Default</th><th>Description</th></tr></thead><tbody><tr><td>No arguments</td><td></td><td></td><td></td><td></td></tr></tbody></table>

**Return**: The struct of query options for this Channel.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://megaphone.ortusbooks.com/reference/baseprovider/databaseprovider.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
